XML-RPC-API2CPP(1)

NAME
xml-rpc-api2cpp - Make a C++ wrapper class for an XML-RPC API

SYNOPSIS
xml-rpc-api2cpp server-url remote-method-prefix c++-class-name

DESCRIPTION
xml-rpc-api2cpp queries an XML-RPC server using the XML-RPC Instrospection API designed by Edd Dumbill. It then prints a C++ wrapper class to standard output. This class can be used with xmlrpc-c's C++ API.

You can find a list of supported XML-RPC server libraries (and patches for many others) at http://xmlrpc-c.sourceforge.net/hacks.php.

OPTIONS

server-url
    The name of the server to query. Try http://xmlrpc-c.sourceforge.net/cgi-bin/interop.cgi.

remote-method-prefix
    The prefix of the methods to wrap. For example, to wrap all the system.* calls, you could specify "system".

c++-class-name
    The name of the C++ class to generate. Try "SystemProxy".

BUGS
xml-rpc-api2cpp can't talk to certain PHP servers based on Edd Dumbill's PHP library, because the trailing bytes of the XML-RPC message get truncated in HTTP pipelining mode. It's not clear whether this is a PHP, Apache or w3c-libwww bug.

xml-rpc-api2cpp assumes that method descriptions are ASCII text, not HTML as specified in the standard. (In practice, both conventions are often seen.) It may also get unhappy if method descriptions contain "*/".

In general, error messages and diagnostics are still fairly poor.

SEE ALSO
xmlrpc-c(7), xml-rpc-api2txt(1).

This program is part of xmlrpc-c.

AUTHOR
This manual page was written by Eric Kidd <eric.kidd@pobox.com>. It may be distributed under the same terms as the rest of xmlrpc-c.